Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/hmacsha1.c File Reference

HMAC-SHA-1 message authentication code, code. More...

`#include "system.h"`
`#include "hmacsha1.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
int | hmacsha1Setup (hmacsha1Param *sp, const uint32 *key, int keybits)
int | hmacsha1Reset (hmacsha1Param *sp)
int | hmacsha1Update (hmacsha1Param *sp, const byte *data, int size)
int | hmacsha1Digest (hmacsha1Param *sp, uint32 *data)
## Variables
const keyedHashFunction | hmacsha1 = { "HMAC-SHA-1", sizeof(hmacsha1Param), 64, 5 * sizeof(uint32), 64, 512, 32, (keyedHashFunctionSetup) hmacsha1Setup, (keyedHashFunctionReset) hmacsha1Reset, (keyedHashFunctionUpdate) hmacsha1Update, (keyedHashFunctionDigest) hmacsha1Digest }

## Detailed Description

HMAC-SHA-1 message authentication code, code.

Definition in file hmacsha1.c.